The cn-dev-ucsb-2 can't read a pid through a sid
Description

https://cn-dev-ucsb-2.test.dataone.org/cn/v2/meta/P2_201526572119843 

The sid is S1_201526572119845. However, the following url gets not found:

https://cn-dev-ucsb-2.test.dataone.org/cn/v2/meta/S1_201526572119845

History

#1 - 2015-09-22 23:53 - Jing Tao

https://cn-dev-ucsb-2.test.dataone.org/cn/v2/meta/P1_201526572119840

https://cn-dev-ucsb-2.test.dataone.org/cn/v2/meta/P2_201526572119843

The above pids exist in hazelcast and they have the same sid,so we can read the system metadata for both of them. However, in the systemmetadata

table there is only one row:

metacat=> select guid, series_id, obsoletes, obsoleted_by from systemmetadata where guid='P2_201526572119843';

guid | series_id | obsoletes | obsoleted_by

------+-----------+-----------+--------------

(0 rows)

metacat=> select guid, series_id, obsoletes, obsoleted_by from systemmetadata where guid='P1_201526572119840';

guid        |     series_id      | obsoletes |    obsoleted_by

--------------------+--------------------+-----------+--------------------

P1_201526572119840 | S1_201526572119845 |           | P2_201526572119843

(1 row)

So our code can not handle it.  I checked cn-dev-unm-2 and it has two rows. So the sid works:

https://cn-dev-unm-2.test.dataone.org/cn/v2/meta/S1_201526572119845

#2 - 2015-09-22 23:53 - Jing Tao
Why the system metadata was not stored?

#3 - 2015-09-23 17:41 - Jing Tao

- Status changed from New to Closed

- % Done changed from 0 to 100

The system metadata was stored. Maybe there was a big delay? So everything works.
